commit:     3b52c8f3ced755d884bc3a6fa358d67ab81276b8
Author:     Harri Nieminen <moikkis <AT> gmail <DOT> com>
AuthorDate: Sun Feb 19 08:22:03 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb 19 23:43:35 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b52c8f3

x11-misc/fpm2: EAPI bump 4 -> 6

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/4029

 x11-misc/fpm2/fpm2-0.79-r1.ebuild | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/x11-misc/fpm2/fpm2-0.79-r1.ebuild 
b/x11-misc/fpm2/fpm2-0.79-r1.ebuild
new file mode 100644
index 0000000000..5d437aa3dd
--- /dev/null
+++ b/x11-misc/fpm2/fpm2-0.79-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="A GUI password manager utility with password generator"
+HOMEPAGE="http://als.regnet.cz/fpm2/";
+SRC_URI="http://als.regnet.cz/${PN}/download/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=x11-libs/gtk+-2.10.14:2
+       dev-libs/libxml2
+       >=dev-libs/glib-2.16
+       x11-libs/libX11"
+
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       dev-util/intltool"
+
+src_prepare() {
+       default
+       # fix tests
+       local x
+       for x in ${PN}.glade data/${PN}.desktop.in; do
+               echo "${x}" >> "${S}"/po/POTFILES.in || die
+       done
+}

Reply via email to